summarylogtreecommitdiffstats
path: root/oksh.install
diff options
context:
space:
mode:
Diffstat (limited to 'oksh.install')
-rw-r--r--oksh.install13
1 files changed, 13 insertions, 0 deletions
diff --git a/oksh.install b/oksh.install
new file mode 100644
index 000000000000..afede42a7260
--- /dev/null
+++ b/oksh.install
@@ -0,0 +1,13 @@
+post_install() {
+ echo "Adding '/usr/bin/oksh' to '/etc/shells'..."
+ grep -qe '^/usr/bin/oksh$' etc/shells || echo '/usr/bin/oksh' >> etc/shells
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ echo "Removing '/usr/bin/oksh' from '/etc/shells'..."
+ sed -i '\|^/usr/bin/oksh$|d' etc/shells
+}